Bug Hunting Session
Bug 57668 - CONFIGURATION: Turkish Date Acceptance Format in LibreOffice Calc
Summary: CONFIGURATION: Turkish Date Acceptance Format in LibreOffice Calc
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Localization (show other bugs)
Version:
(earliest affected)
3.6.3.2 release
Hardware: All All
: medium normal
Assignee: Eike Rathke
URL:
Whiteboard: BSA target:4.0.0 target:3.6.5
Keywords:
Depends on:
Blocks:
 
Reported: 2012-11-28 22:17 UTC by Zeki Bildirici
Modified: 2012-12-03 18:30 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Zeki Bildirici 2012-11-28 22:17:23 UTC
Problem description: 
LibreOffice Calc is no longer recognizing
the date formats separated by "/" anymore.


I've checked the 3.5.x series and i figured that the following formats are no longer exists in LibreOffice's current release:

dd/mm/yy
dd/mm/yy
dd/mm/yyyy
dd/mm/yyyy
dd/mmm/yyy

dd/mm/yy
dd/mm/yyyy hh:mm:ss


I know i wrote them duplicates, because i've copied from LO 3.5's Date
Formats section.

I've checked this issue and there is not a certain rule however, the spellguide refers three common used date seperators:

"." and "/" and "-"

Could you please arrange the Turkish dae formats for the use of these three seperators.


And also is it possible to change the behaviour of the
unformatted cell to response date entries as DD.MM.YYYY instead of the current output DD.MM.YY?

Best regards,
Zeki
              
Operating System: All
Comment 1 Eike Rathke 2012-11-29 11:26:48 UTC
Taking over.
Comment 2 Eike Rathke 2012-11-29 15:21:12 UTC
I assume that this
> dd/mmm/yyy
should be  dd/mmm/yyyy  instead (4-digit year).


> "." and "/" and "-"
> 
> Could you please arrange the Turkish dae formats for the use of these three
> seperators.

Adding

    <DateAcceptancePattern>D.M</DateAcceptancePattern>
    <DateAcceptancePattern>D/M</DateAcceptancePattern>
    <DateAcceptancePattern>D/M/Y</DateAcceptancePattern>
    <DateAcceptancePattern>D-M</DateAcceptancePattern>
    <DateAcceptancePattern>D-M-Y</DateAcceptancePattern>

to the default D.M.Y pattern.


> And also is it possible to change the behaviour of the
> unformatted cell to response date entries as DD.MM.YYYY instead of the
> current output DD.MM.YY?

Sure, no problem.
Comment 3 Not Assigned 2012-11-29 16:15:21 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c506650b21c628e603ce7dc3dc30238c480342d2

resolved fdo#57668 additional date formats using '/' separator



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Eike Rathke 2012-11-29 16:24:02 UTC
Patch is pending review for 3-6
Comment 5 Not Assigned 2012-12-01 20:58:52 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-3-6":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=bc19a37be6a6c8538d8a7b07adedd754db17f1df&g=libreoffice-3-6

resolved fdo#57668 additional date formats using '/' separator


It will be available in LibreOffice 3.6.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Zeki Bildirici 2012-12-03 08:51:20 UTC
(In reply to comment #5)
> Eike Rathke committed a patch related to this issue.
> It will be available in LibreOffice 3.6.5.

Eike, thank you very much for your great help. 
 
> The patch should be included in the daily builds available at
> http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More

I will test it from the daily builds.

Btw, is there any chance to include it to the upcoming 3.6.4 release :[

Best regards,
Zeki
Comment 7 Eike Rathke 2012-12-03 18:30:52 UTC
I doubt there will be another 3.6.4 RC.